View Issue Details

IDProjectCategoryView StatusLast Update
0031602Open CASCADEOCCT:Modeling Algorithmspublic2020-12-02 17:12
Reporteremv Assigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version7.4.0 
Target Version7.5.0Fixed in Version7.5.0 
Summary0031602: [Regression vs 7.0.0] Modeling Algorithms - Invalid result of boolean operation
DescriptionThe result of CUT operation on two solids is incorrect due to huge tolerance obtained in intersection of pair of faces (see steps to reproduce).
Steps To Reproducetest case

lowalgos intss bug31602
TagsNo tags attached.
Test case numberlowalgos/intss/bug31602

Attached Files

  • c2.stp (14,521 bytes)
  • m.stp (9,534 bytes)
  • bug31602.brep (3,189 bytes)

Activities

emv

2020-06-08 12:25

developer  

c2.stp (14,521 bytes)

emv

2020-06-08 12:25

developer  

m.stp (9,534 bytes)

szy

2020-06-08 12:53

manager   ~0092511

Hi Igor,
It looks like a regression.
At this step could you analyze and estimate a patch development only.

git

2020-06-10 19:32

administrator   ~0092535

Branch CR31602 has been created by ifv.

SHA-1: 37b46a0eb6f6440f3b1828b747a8946466febca1


Detailed log of new commits:

Author: ifv
Date: Wed Jun 10 19:33:27 2020 +0300

    0031602: [Regression vs 7.0.0] Modeling Algorithms - Invalid result of boolean operation

git

2020-06-11 08:57

administrator   ~0092543

Branch CR31602 has been updated forcibly by ifv.

SHA-1: 1eb956e58b6776d6a21eb305b521274fa6b106cd

ifv

2020-06-15 10:04

developer  

bug31602.brep (3,189 bytes)

git

2020-06-15 10:38

administrator   ~0092548

Branch CR31602 has been updated forcibly by ifv.

SHA-1: 866e9efbaf1e497fcb37b6beb405fe7d567af67f

jgv

2020-06-18 14:38

developer   ~0092572

Reviewed.

Branches for integration:
OCCT – CR31602
Products – NOT

bugmaster

2020-06-20 13:33

administrator   ~0092598

Combination -
OCCT branch : IR-2020-06-19
master SHA - ef779ae0da0ded44c5045762768fe5f5eaff6b04
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-06-19 SHA - 9e1feabf4ca514e1647ce6acf381182c6ac85c9c
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17159.860000000117 / 17161.410000000207 [-0.01%]
Products
Total CPU difference: 11197.400000000112 / 11196.290000000083 [+0.01%]
Windows-64-VC14:
OCCT
Total CPU difference: 18670.90625 / 18756.21875 [-0.45%]
Products
Total CPU difference: 13012.71875 / 13044.46875 [-0.24%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2020-06-20 13:42

administrator   ~0092608

Branch CR31602 has been deleted by inv.

SHA-1: 866e9efbaf1e497fcb37b6beb405fe7d567af67f

Related Changesets

occt: master dccf8675

2020-06-10 16:33:27

ifv


Committer: bugmaster Details Diff
0031602: [Regression vs 7.0.0] Modeling Algorithms - Invalid result of boolean operation

IntPatch/IntPatch_ImpImpIntersection_4.gxx : adding tolerance in comparison surface range and surface period
bug31602: test case added
Affected Issues
0031602
mod - src/IntPatch/IntPatch_ImpImpIntersection_4.gxx Diff File
add - tests/lowalgos/intss/bug31602 Diff File

Issue History

Date Modified Username Field Change
2020-06-08 12:25 emv New Issue
2020-06-08 12:25 emv Assigned To => msv
2020-06-08 12:25 emv File Added: c2.stp
2020-06-08 12:25 emv File Added: m.stp
2020-06-08 12:37 emv Assigned To msv => ifv
2020-06-08 12:37 emv Status new => assigned
2020-06-08 12:53 szy Note Added: 0092511
2020-06-10 19:32 git Note Added: 0092535
2020-06-11 08:57 git Note Added: 0092543
2020-06-15 10:04 ifv File Added: bug31602.brep
2020-06-15 10:38 git Note Added: 0092548
2020-06-17 14:47 ifv Assigned To ifv => jgv
2020-06-17 14:47 ifv Status assigned => resolved
2020-06-17 14:47 ifv Steps to Reproduce Updated
2020-06-18 14:38 jgv Note Added: 0092572
2020-06-18 14:38 jgv Assigned To jgv => bugmaster
2020-06-18 14:38 jgv Status resolved => reviewed
2020-06-20 13:33 bugmaster Note Added: 0092598
2020-06-20 13:33 bugmaster Status reviewed => tested
2020-06-20 13:34 bugmaster Test case number => lowalgos/intss/bug31602
2020-06-20 13:36 bugmaster Changeset attached => occt master dccf8675
2020-06-20 13:36 bugmaster Status tested => verified
2020-06-20 13:36 bugmaster Resolution open => fixed
2020-06-20 13:42 git Note Added: 0092608
2020-12-02 16:43 emo Fixed in Version => 7.5.0
2020-12-02 17:12 emo Status verified => closed
The file specified in $g_log_destination "/var/log/mantis/bugs/LDAP.log" is not writable.